/* ultra.h */

static int UV_MODE[5][4] = {

                /* 25  34/36 43/50 60/63 */
                { 0x11, 0x13, 0x12, 0x14 }, /*  80 cols */  
                { 0x19, 0x1b, 0x1a, 0x1c }, /*  94 cols */  
                { 0x21, 0x23, 0x22, 0x24 }, /* 108 cols */  
                { 0x31, 0x39, 0x32, 0x3a }, /* 120 cols */  
                { 0x33, 0x3b, 0x34, 0x3c }  /* 132 cols */  
};

#define ROW_MODE(n) ( n>= 60 ? 3 : n>= 40 ? 2 : n>= 30 ? 1 : 0 )
#define COL_MODE(n) ( n>=132 ? 4 : n>=120 ? 3 : n>=108 ? 2 : n>= 94 ? 1 : 0 )

#define FAIL   -1
#define SUCCESS 1

#ifndef TRUE
#define TRUE    1
#endif

#ifndef FALSE
#define FALSE   0
#endif

int    ultra_loaded     ( void );
int    ultra_active     ( void );
int    ultra_card       ( void );

int    enable_ultra     ( void );
int   disable_ultra     ( void );
int   get_ultra_mode    ( void );
int   set_ultra_mode    ( int  );

int    bump_rows       ( int change );  /* +- row count */
int    bump_cols       ( int change );  /* +- col count */


/* end ultra.h */